/* Generated from ntlm_err.et */

#include <stddef.h>
#include <com_err.h>
#include "ntlm_err.h"

#define N_(x) (x)

static const char *ntlm_error_strings[] = {
	/* 000 */ N_("Failed to decode packet"),
	/* 001 */ N_("Input length invalid"),
	/* 002 */ N_("Failed crypto primitive"),
	/* 003 */ N_("Random generator failed"),
	/* 004 */ N_("NTLM authentication failed"),
	/* 005 */ N_("Client time skewed to server"),
	/* 006 */ N_("Client set OEM string"),
	/* 007 */ N_("missing @ or \\ in name"),
	/* 008 */ N_("missing expected buffer"),
	/* 009 */ N_("Invalid APOP response"),
	/* 010 */ N_("Invalid CRAM-MD5 response"),
	/* 011 */ N_("Invalid DIGEST-MD5 response"),
	/* 012 */ N_("Invalid DIGEST-MD5 rspauth"),
	/* 013 */ N_("Invalid channel bindings"),
	/* 014 */ N_("Invalid MIC"),
	/* 015 */ N_("Invalid session key"),
	/* 016 */ "Reserved ntlm error (16)",
	/* 017 */ "Reserved ntlm error (17)",
	/* 018 */ "Reserved ntlm error (18)",
	/* 019 */ "Reserved ntlm error (19)",
	/* 020 */ "Reserved ntlm error (20)",
	/* 021 */ "Reserved ntlm error (21)",
	/* 022 */ "Reserved ntlm error (22)",
	/* 023 */ "Reserved ntlm error (23)",
	/* 024 */ "Reserved ntlm error (24)",
	/* 025 */ "Reserved ntlm error (25)",
	/* 026 */ "Reserved ntlm error (26)",
	/* 027 */ "Reserved ntlm error (27)",
	/* 028 */ "Reserved ntlm error (28)",
	/* 029 */ "Reserved ntlm error (29)",
	/* 030 */ "Reserved ntlm error (30)",
	/* 031 */ "Reserved ntlm error (31)",
	/* 032 */ "Reserved ntlm error (32)",
	/* 033 */ "Reserved ntlm error (33)",
	/* 034 */ "Reserved ntlm error (34)",
	/* 035 */ "Reserved ntlm error (35)",
	/* 036 */ "Reserved ntlm error (36)",
	/* 037 */ "Reserved ntlm error (37)",
	/* 038 */ "Reserved ntlm error (38)",
	/* 039 */ "Reserved ntlm error (39)",
	/* 040 */ "Reserved ntlm error (40)",
	/* 041 */ "Reserved ntlm error (41)",
	/* 042 */ "Reserved ntlm error (42)",
	/* 043 */ "Reserved ntlm error (43)",
	/* 044 */ "Reserved ntlm error (44)",
	/* 045 */ "Reserved ntlm error (45)",
	/* 046 */ "Reserved ntlm error (46)",
	/* 047 */ "Reserved ntlm error (47)",
	/* 048 */ "Reserved ntlm error (48)",
	/* 049 */ "Reserved ntlm error (49)",
	/* 050 */ "Reserved ntlm error (50)",
	/* 051 */ "Reserved ntlm error (51)",
	/* 052 */ "Reserved ntlm error (52)",
	/* 053 */ "Reserved ntlm error (53)",
	/* 054 */ "Reserved ntlm error (54)",
	/* 055 */ "Reserved ntlm error (55)",
	/* 056 */ "Reserved ntlm error (56)",
	/* 057 */ "Reserved ntlm error (57)",
	/* 058 */ "Reserved ntlm error (58)",
	/* 059 */ "Reserved ntlm error (59)",
	/* 060 */ "Reserved ntlm error (60)",
	/* 061 */ "Reserved ntlm error (61)",
	/* 062 */ "Reserved ntlm error (62)",
	/* 063 */ "Reserved ntlm error (63)",
	/* 064 */ N_("NTLM not configured"),
	/* 065 */ N_("Invalid client challenge"),
	/* 066 */ N_("Invalid client LMv1 response"),
	/* 067 */ N_("Invalid client NT response"),
	/* 068 */ N_("Invalid client LMv2 response"),
	/* 069 */ N_("Invalid client NTv1 response"),
	/* 070 */ N_("Invalid client NTv2 response"),
	/* 071 */ N_("Invalid client NTv1 answer"),
	/* 072 */ N_("Invalid client NTv2 answer"),
	/* 073 */ N_("Invalid session key"),
	/* 074 */ N_("Invalid guest login request"),
	/* 075 */ N_("No NETR configured"),
	/* 076 */ "Reserved ntlm error (76)",
	/* 077 */ "Reserved ntlm error (77)",
	/* 078 */ "Reserved ntlm error (78)",
	/* 079 */ "Reserved ntlm error (79)",
	/* 080 */ "Reserved ntlm error (80)",
	/* 081 */ "Reserved ntlm error (81)",
	/* 082 */ "Reserved ntlm error (82)",
	/* 083 */ "Reserved ntlm error (83)",
	/* 084 */ "Reserved ntlm error (84)",
	/* 085 */ "Reserved ntlm error (85)",
	/* 086 */ "Reserved ntlm error (86)",
	/* 087 */ "Reserved ntlm error (87)",
	/* 088 */ "Reserved ntlm error (88)",
	/* 089 */ "Reserved ntlm error (89)",
	/* 090 */ "Reserved ntlm error (90)",
	/* 091 */ "Reserved ntlm error (91)",
	/* 092 */ "Reserved ntlm error (92)",
	/* 093 */ "Reserved ntlm error (93)",
	/* 094 */ "Reserved ntlm error (94)",
	/* 095 */ "Reserved ntlm error (95)",
	/* 096 */ "Reserved ntlm error (96)",
	/* 097 */ "Reserved ntlm error (97)",
	/* 098 */ "Reserved ntlm error (98)",
	/* 099 */ "Reserved ntlm error (99)",
	/* 100 */ "Reserved ntlm error (100)",
	/* 101 */ "Reserved ntlm error (101)",
	/* 102 */ "Reserved ntlm error (102)",
	/* 103 */ "Reserved ntlm error (103)",
	/* 104 */ "Reserved ntlm error (104)",
	/* 105 */ "Reserved ntlm error (105)",
	/* 106 */ "Reserved ntlm error (106)",
	/* 107 */ "Reserved ntlm error (107)",
	/* 108 */ "Reserved ntlm error (108)",
	/* 109 */ "Reserved ntlm error (109)",
	/* 110 */ "Reserved ntlm error (110)",
	/* 111 */ "Reserved ntlm error (111)",
	/* 112 */ "Reserved ntlm error (112)",
	/* 113 */ "Reserved ntlm error (113)",
	/* 114 */ "Reserved ntlm error (114)",
	/* 115 */ "Reserved ntlm error (115)",
	/* 116 */ "Reserved ntlm error (116)",
	/* 117 */ "Reserved ntlm error (117)",
	/* 118 */ "Reserved ntlm error (118)",
	/* 119 */ "Reserved ntlm error (119)",
	/* 120 */ "Reserved ntlm error (120)",
	/* 121 */ "Reserved ntlm error (121)",
	/* 122 */ "Reserved ntlm error (122)",
	/* 123 */ "Reserved ntlm error (123)",
	/* 124 */ "Reserved ntlm error (124)",
	/* 125 */ "Reserved ntlm error (125)",
	/* 126 */ "Reserved ntlm error (126)",
	/* 127 */ "Reserved ntlm error (127)",
	/* 128 */ N_("Invalid SCRAM message"),
	/* 129 */ N_("Invalid SCRAM proof"),
	/* 130 */ N_("Invalid SCRAM role"),
	NULL
};

#define num_errors 131

void initialize_ntlm_error_table_r(struct et_list **list)
{
    initialize_error_table_r(list, ntlm_error_strings, num_errors, ERROR_TABLE_BASE_ntlm);
}

void initialize_ntlm_error_table(void)
{
    init_error_table(ntlm_error_strings, ERROR_TABLE_BASE_ntlm, num_errors);
}
